package com.ruixuan.isc.service;

import com.alibaba.fastjson.JSONObject;
import com.ruixuan.isc.entity.KuaishouPromoter;

import java.util.List;

/**
 * 快手达人 信息Service接口
 *
 * @author ruoyi
 * @date 2023-02-03
 */
public interface IKuaishouPromoterService {
    /**
     * 查询快手达人 信息
     *
     * @param id 快手达人 信息主键
     * @return 快手达人 信息
     */
    public JSONObject selectKuaishouPromoterById(Long id);

    /**
     * 查询快手达人 信息列表
     *
     * @param kuaishouPromoter 快手达人 信息
     * @return 快手达人 信息集合
     */
    public List<KuaishouPromoter> selectKuaishouPromoterList(Long userId, Long promoterId, String promoterNickName);

    /**
     * 新增快手达人 信息
     *
     * @param kuaishouPromoter 快手达人 信息
     * @return 结果
     */
    public int insertKuaishouPromoter(KuaishouPromoter kuaishouPromoter);

    /**
     * 修改快手达人 信息
     *
     * @param kuaishouPromoter 快手达人 信息
     * @return 结果
     */
    public int updateKuaishouPromoter(KuaishouPromoter kuaishouPromoter);

    /**
     * 批量删除快手达人 信息
     *
     * @param ids 需要删除的快手达人 信息主键集合
     * @return 结果
     */
    public int deleteKuaishouPromoterByIds(Long[] ids);

    /**
     * 删除快手达人 信息信息
     *
     * @param id 快手达人 信息主键
     * @return 结果
     */
    public int deleteKuaishouPromoterById(Long id);

}
